<?
/*
,exif,  ( http://rwapm.com )
 ҽ ܻ մϴ.
*/
function exif_get_str_val($val) {
  $val = (substr($val, 0, strpos($val, "/"))) / (substr($val, strpos($val, "/") + 1));
  return $val;
}
function  read_data_img($img_names) {
global $ixxno;
if (!extension_loaded('exif')) return;
$exif = @exif_read_data($img_names, 0, true);
$exifname = '';
if($exif === false) {
$exifname .= '';
} else {
$exifname .= '<div style="font-family:tahoma;font-size: 11px;color: #333333;padding-bottom: 6px;">';
if ($exif[IFD0][Make] || $exif[IFD0][Model]) {
$exifname .= "Camera: ";
if ($exif[IFD0][Make]) {
$exifname .= $exif[IFD0][Make]." ";
}
if ($exif[IFD0][Model]) {
$exifname .= $exif[IFD0][Model]."<br />";
}
}

if ($exif[IFD0][DateTime]) {
$exifname .= "DateTime: ".$exif[IFD0][DateTime]."<br />";
}

if ($exif[EXIF][DateTimeOriginal]) {
$exifname .= "DateTimeOriginal: ".$exif[EXIF][DateTimeOriginal]."<br />";
}

if ($exif[EXIF][DateTimeDigitized]) {
$exifname .= "DateTimeDigitized: ".$exif[EXIF][DateTimeDigitized]."<br />";
}

if ($exif[EXIF][ISOSpeedRatings]) {
$exifname .= "ISOSpeedRatings: ".$exif[EXIF][ISOSpeedRatings]."<br />";
}

if ($exif[EXIF][FNumber]) {
$exifname .= "ApertureFNumber: ".$exif[EXIF][FNumber]."(f/".exif_get_str_val($exif[EXIF][FNumber]).")<br />";
}

if ($exif[COMPUTED][CCDWidth]) {
$exifname .= "CCDWidth: ".$exif[COMPUTED][CCDWidth]."<br />";
}

if ($exif[EXIF][ExposureTime]) {
$exifname .= "ExposureTime: ".$exif[EXIF][ExposureTime]."(".exif_get_str_val($exif[EXIF][ExposureTime]).")  seconds<br />";
}

switch($exif[EXIF][ExposureProgram]) {
case 0: $ExposureProgram = "Not defined"; break;
case 1: $ExposureProgram = "Manual"; break;
case 2: $ExposureProgram = "Normal program"; break;
case 3: $ExposureProgram = "Aperture priority"; break;
case 4: $ExposureProgram = "Shutter priority"; break;
case 5: $ExposureProgram = "Creative program (biased toward depth of field)"; break;
case 6: $ExposureProgram = "Action program (biased toward fast shutter speed)"; break;
case 7: $ExposureProgram = "Portrait mode (for closeup photos with the background out of focus)"; break;
case 8: $ExposureProgram = "Landscape mode (for landscape photos with the background in focus)"; break;
default : $ExposureProgram = "Other"; break;
}
$exifname .= "ExposureProgram: ".$ExposureProgram."<br />";

if ($exif[EXIF][ExifVersion]) {
$exifname .= "ExifVersion: ".round($exif[EXIF][ExifVersion] / 100, 2)."<br />";
}

if ($exif[EXIF][ComponentsConfiguration]) {
$val = $exif[EXIF][ComponentsConfiguration];
$val = bin2hex($val);
$val = str_replace("01","Y",$val);
$val = str_replace("02","Cb",$val);
$val = str_replace("03","Cr",$val);
$val = str_replace("04","R",$val);
$val = str_replace("05","G",$val);
$val = str_replace("06","B",$val);
$val = str_replace("00","",$val);
$exifname .= "ComponentsConfiguration: ".$val."<br />";
}

if ($exif[EXIF][CompressedBitsPerPixel]) {
$exifname .= "CompressedBitsPerPixel: ".exif_get_str_val($exif[EXIF][CompressedBitsPerPixel])."<br />";
}


if ($exif[EXIF][ShutterSpeedValue]) {
$exifname .= "ShutterSpeedValue: ".$exif[EXIF][ShutterSpeedValue]."(".exif_get_str_val($exif[EXIF][ShutterSpeedValue]).")<br />";
}

if ($exif[EXIF][ApertureValue]) {
$exifname .= "ApertureValue: ".$exif[EXIF][ApertureValue]."(".exif_get_str_val($exif[EXIF][ApertureValue]).")<br />";
}

if ($exif[EXIF][BrightnessValue]) {
$exifname .= "BrightnessValue: ".exif_get_str_val($exif[EXIF][BrightnessValue])."<br />";
}

if ($exif[EXIF][ExposureBiasValue]) {
if ((substr($exif[EXIF][ExposureBiasValue], 0, strpos($exif[EXIF][ExposureBiasValue], "/"))) == "0") {
           $val = "0 EV";
       } else {
           $val = $exif[EXIF][ExposureBiasValue] . "(".exif_get_str_val($exif[EXIF][ExposureBiasValue]).") EV";
       }
$exifname .= "ExposureBiasValue: ".$val."<br />";
}

if ($exif[EXIF][MaxApertureValue]) {
$exifname .= "MaxApertureValue: f/".round(pow(sqrt(2), exif_get_str_val($exif[EXIF][MaxApertureValue])),1)."<br />";
}
switch($exif[EXIF][ExposureMode]) {
case 0: $ExposureMode = "Auto exposure"; break;
case 1: $ExposureMode = "Manual exposure"; break;
case 2: $ExposureMode = "Auto bracket"; break;
default : $ExposureMode = "Other"; break;
}
$exifname .= "ExposureMode: ".$ExposureMode."<br />";

switch($exif[EXIF][MeteringMode]) {
case 0: $MeteringMode = "Unknown"; break;
case 1: $MeteringMode = "Average"; break;
case 2: $MeteringMode = "Center Weighted Average"; break;
case 3: $MeteringMode = "Spot"; break;
case 4: $MeteringMode = "Multi-spot"; break;
case 5: $MeteringMode = "Pattern"; break;
case 6: $MeteringMode = "Partial"; break;
case 255: $MeteringMode = "Other"; break;
default : $MeteringMode = "Other"; break;
}
$exifname .= "MeteringMode: ".$MeteringMode."<br />";

switch($exif[EXIF][LightSource]) {
case 0: $LightSource = "Unknown"; break;
case 1: $LightSource = "Daylight"; break;
case 2: $LightSource = "Fluorescent"; break;
case 3: $LightSource = "Tungsten"; break;
case 4: $LightSource = "Flash"; break;
case 9: $LightSource = "Fine weather"; break;
case 10: $LightSource = "Cloudy weather"; break;
case 11: $LightSource = "Shade"; break;
case 12: $LightSource = "Daylight fluorescent"; break;
case 13: $LightSource = "Day white fluorescent"; break;
case 14: $LightSource = "Cool white fluorescent"; break;
case 15: $LightSource = "White fluorescent"; break;
case 17: $LightSource = "Standard light A"; break;
case 18: $LightSource = "Standard light B"; break;
case 19: $LightSource = "Standard light C"; break;
case 20: $LightSource = "D55"; break;
case 21: $LightSource = "D65"; break;
case 22: $LightSource = "D75"; break;
case 23: $LightSource = "D50"; break;
case 24: $LightSource = "ISO studio tungsten"; break;
case 255: $LightSource = "Other"; break;
default : $LightSource = "Other"; break;
}
$exifname .= "LightSource: ".$LightSource."<br />";

//if ($exif[EXIF][Flash]) {
switch($exif[EXIF][Flash]) {
			case 0: $flash = "Flash did not fire"; break;
			case 1: $flash = "Flash fired"; break;
			case 5: $flash = "Strobe return light not detected"; break;
			case 7: $flash = "Strobe return light detected"; break;
			case 9: $flash = "Flash fired, compulsory flash mode"; break;
			case 13: $flash = "Flash fired, compulsory flash mode, return light not detected"; break;
			case 15: $flash = "Flash fired, compulsory flash mode, return light detected"; break;
			case 16: $flash = "Flash did not fire, compulsory flash suppression mode"; break;
			case 24: $flash = "Flash did not fire, auto mode"; break;
			case 25: $flash = "Flash fired, auto mode"; break;
			case 29: $flash = "Flash fired, auto mode, return light not detected"; break;
			case 31: $flash = "Flash fired, auto mode, return light detected"; break;
			case 32: $flash = "No flash function"; break;
			case 65: $flash = "Flash fired, red-eye reduction mode"; break;
			case 69: $flash = "Flash fired, red-eye reduction mode, return light not detected"; break;
			case 71: $flash = "Flash fired, red-eye reduction mode, return light detected"; break;
			case 73: $flash = "Flash fired, compulsory flash mode, red-eye reduction mode"; break;
			case 77: $flash = "Flash fired, compulsory flash mode, red-eye reduction mode, return light not detected"; break;
			case 79: $flash = "Flash fired, compulsory flash mode, red-eye reduction mode, return light detected"; break;
			case 89: $flash = "Flash fired, auto mode, red-eye reduction mode"; break;
			case 93: $flash = "Flash fired, auto mode, return light not detected, red-eye reduction mode"; break;
			case 95: $flash = "Flash fired, auto mode, return light detected, red-eye reduction mode"; break;
			default : $flash = "Unknown"; break;
			}
$exifname .= "Flash: ".$flash."<br />";
//}

switch($exif[EXIF][WhiteBalance]) {
case 0: $WhiteBalance = "Auto white balance"; break;
case 1: $WhiteBalance = "Manual white balance"; break;
default : $WhiteBalance = "Other"; break;
}
$exifname .= "WhiteBalance: ".$WhiteBalance."<br />";

if ($exif[EXIF][FocalLength]) {
$exifname .= "FocalLength: ".$exif[EXIF][FocalLength]."(".exif_get_str_val($exif[EXIF][FocalLength]).") mm<br />";
}

if ($exif[EXIF][FlashPixVersion]) {
$exifname .= "FlashPixVersion: ".round($exif[EXIF][FlashPixVersion] / 100, 2)."<br />";
}

if ($exif[EXIF][ColorSpace]) {
if($exif[EXIF][ColorSpace]==1) $val = "sRGB";
       elseif($exif[EXIF][ColorSpace]=='65535') $val = "Uncalibrated";
	   else $val = "Other";
$exifname .= "ColorSpace: ".$val."<br />";
}

if ($exif[EXIF][FocalPlaneXResolution]) {
$exifname .= "FocalPlaneXResolution: ".round(exif_get_str_val($exif[EXIF][FocalPlaneXResolution]))."<br />";
}

if ($exif[EXIF][FocalPlaneYResolution]) {
$exifname .= "FocalPlaneYResolution: ".round(exif_get_str_val($exif[EXIF][FocalPlaneYResolution]))."<br />";
}

if ($exif[EXIF][FocalPlaneResolutionUnit]) {
if($exif[EXIF][FocalPlaneResolutionUnit]==1) $val = "No Unit";
       elseif($exif[EXIF][FocalPlaneResolutionUnit]==2) $val = "Inches";
       elseif($exif[EXIF][FocalPlaneResolutionUnit]==3) $val = "Centimetres";
	   else $val = "Other";
$exifname .= "FocalPlaneResolutionUnit: ".$val."<br />";
}

if ($exif[EXIF][SensingMethod]) {
if($exif[EXIF][SensingMethod]==1) $val = "Not defined";
elseif($exif[EXIF][SensingMethod]==2) $val = "One-chip colour area sensor";
elseif($exif[EXIF][SensingMethod]==3) $val = "Two-chip colour area sensor";
elseif($exif[EXIF][SensingMethod]==4) $val = "Three-chip colour area sensor";
elseif($exif[EXIF][SensingMethod]==5) $val = "Colour sequential area sensor";
elseif($exif[EXIF][SensingMethod]==7) $val = "Trilinear sensor";
elseif($exif[EXIF][SensingMethod]==8) $val = "Colour sequential linear sensor";
else $val = "Other";
$exifname .= "SensingMethod: ".$val."<br />";
}

if ($exif[EXIF][FileSource]) {
if(bin2hex($exif[EXIF][FileSource])==0x03) $val = "Digital Still Camera";
elseif(bin2hex($exif[EXIF][FileSource])==0x01) $val = "Directly photographed";
else $val = "Other";
$exifname .= "FileSource: ".$val."<br />";
}

switch($exif[IFD0][Orientation]) {
case 1: $Orientation = "No Rotation, No Flip"; break;
case 2: $Orientation = "No Rotation, Flipped Horizontally"; break;
case 3: $Orientation= "Rotated 180 degrees, No Flip"; break;
case 4: $Orientation = "No Rotation, Flipped Vertically"; break;
case 5: $Orientation = "Flipped Horizontally, Rotated 90 degrees counter clockwise"; break;
case 6: $Orientation = "No Flip, Rotated 90 degrees clockwise"; break;
case 7: $Orientation = "Flipped Horizontally, Rotated 90 degrees clockwise"; break;
case 8: $Orientation = "No Flip, Rotated 90 degrees counter clockwise"; break;
default : $Orientation = "Unknown"; break;
}
$exifname .= "Orientation: ".$Orientation."<br />";

switch($exif[IFD0][YCbCrPositioning]) {
case 1: $YCbCrPositioning = "Chrominance components Centred in relation to luminance components"; break;
case 2: $YCbCrPositioning = "Chrominance and luminance components Co-Sited"; break;
default : $YCbCrPositioning = "Unknown"; break;
}
$exifname .= "YCbCrPositioning: ".$YCbCrPositioning."<br />";

if ($exif[IFD0][Software]) {
$exifname .= "Software: ".$exif[IFD0][Software]."<br />";
}
$exifname .= '</div>';
}
return $exifname;
}

$mutiupload = mysql_fetch_array(mysql_query("select sfilename from zetyx_upload where sid='{$id}' and sno={$no} order by no asc limit 0,1"));

$res = mysql_query("select sfilehit, sfilesize, sfilename, sisfilename, sfileorgname from zetyx_upload where sid='{$id}' and sno='{$no}' order by no asc");
$ixx =1;
$imgs = '';
$filediv = '';
$resize_x = 579;
while($mt_data = mysql_fetch_array($res)) {
$filediv .= "<img src='{$dir}/images/icon_s_file.gif' border='0' style='vertical-align: middle;'>&nbsp;<a href='{$dir}/file_download.php?id={$id}&amp;no={$no}&amp;file={$mt_data['sisfilename']}'><b>{$mt_data['sfileorgname']}</b></a> <span style='color:#C8C8C8;font-size: 12px;'>|</span> ".@getfilesize($mt_data['sfilesize'])." / {$mt_data['sfilehit']} Download(s)&nbsp;&nbsp;&nbsp;&nbsp;";

if (preg_match('/\.(gif|jpe?g|png|bmp)/i', $mt_data['sfilename'])) {
$sizeimg = @GetImageSize("data/mutiupload/{$id}/{$mt_data['sfilename']}");
$sizeimg_wh = ($sizeimg[0] > $resize_x) ? $resize_x : $sizeimg[0];
$sizeimg_whsur = ($sizeimg[0] > $resize_x) ? '' : '';
$exifx = read_data_img("data/mutiupload/{$id}/{$mt_data['sfilename']}");

$imgs .= "<div style='padding-bottom:19px; width: {$sizeimg_wh}px;color:#ffffff;' align='center'><img src='data/mutiupload/{$id}/{$mt_data['sfilename']}' style='max-width: 100%; height: auto;'></div>";
}
$ixx++;
}
?>
<script type="text/javascript">
<!--
function toggle_visibility(id) {
var e = document.getElementById(id);
if(e.style.display == 'none')
e.style.display = 'block';
else
e.style.display = 'none';
}
//-->
</script>



<table align=center border=0 cellpadding=0 cellspacing=0 width=<?=$width?> style="table-layout:fixed;">
<tr><td width=100% style='padding:51px 51px 51px 51px; border:1px solid #bbbbbb; word-break:break-all;' bgcolor=#ffffff>
<table align=center cellpadding=0 cellspacing=0 border=0 width=100%>



<tr><td width=100% style='padding:0px 0px 0px 0px;'>
<table align=center cellpadding=0 cellspacing=0 border=0 width=100%>
<tr><td height=1 class=line></td></tr>

<tr><td width=100% height=317px style="padding:12px 0px 0px 0px;">
<table border=0 cellspacing=0 cellpadding=0 width=100%>

<tr><td width=100% align=center height=18 style='padding:0px 0px 0px 0px;' class=namoor><span style="padding:3px 7px 4px 5px; background-color:#ffffff; color:#000000;"><b><u><i><?=$subject?></i></u></span></td></tr>
<tr><td height=10></td></tr>
<tr><td width=100% align=center height=18 style='padding:0px 0px 0px 0px;' class=namoor><span style="padding:1px 7px 2px 3px; background-color:#ffffff; color:#000000;"><i><font style='font-size:6pt;letter-spacing:0px;'><?=$date=date("y / md",$data[reg_date])?></font></i></span></td></tr>

</table></td></tr>

<tr><td height=1 class=line></td></tr>







<!-- # ̹ --><tr><td style="padding:24px 0px 0px 0px;" align=center>
<?
if (preg_match('/\.(gif|jpe?g|png|bmp)$/i', $file_name1)) {
$sizeimg1 = @GetImageSize($data['file_name1']);
$sizeimg1_wh = ($sizeimg1[0] > $resize_x) ? $resize_x : $sizeimg1[0];
$sizeimg1_whsur = ($sizeimg1[0] > $resize_x) ? '' : '';
echo "<div style='padding-top:27px; padding-bottom:19px; width: {$sizeimg1_wh}px; color:#ffffff;' align='center'><img src='{$data['file_name1']}' style='max-width: 100%; height: auto;'>{$sizeimg1_whsur}</div>";
}
if (preg_match('/\.(gif|jpe?g|png|bmp)$/i', $file_name2)) {
$sizeimg2 = @GetImageSize($data['file_name2']);
$sizeimg2_wh = ($sizeimg2[0] > $resize_x) ? $resize_x : $sizeimg2[0];
$sizeimg2_whsur = ($sizeimg2[0] > $resize_x) ? '' : '';
echo "<div style='padding-bottom:19px; width: {$sizeimg2_wh}px; color:#ffffff;' align='center'><img src='{$data['file_name2']}' style='max-width: 100%; height: auto;'>{$sizeimg2_whsur}</div>";
}
if($imgs) echo $imgs;
?>
</td></tr>

<tr><td width=100% style='padding:23px 0px 47px 0px;' valign=top class=namoor><p align="justify"><?=$data[memo]?></p></td></tr>

</table></td></tr>
<tr><td height=1 class=line></td></tr>




<tr><td width=100% height=47 align=center style='padding:1px 0px 0px 0px;' class=tahoma>
<script type="text/javascript">
function copy(URL) { 
var IE = (document.all) ? true : false; 
if (IE) { 
window.clipboardData.setData('Text', URL); 
alert('Ŭ忡  Ʈ ּҰ Ǿϴ١>>Ctrl + V'); 
} else { 
temp = prompt("  ּԴϴ. Ͻðڽϱ? Ctrl + C   ϼ.", URL ); 
} 
} 
</script>

<i><b>post url</b> _ <a href="JavaScript:;" onClick="copy('<?echo "http://namoo-radio.com/bbs/view.php?id=".$id."&no=".$no."";?>')";?><?echo "http://namoo-radio.com/bbs/view.php?id=".$id."&no=".$no."";?></a></i>
</td></tr>



<tr><td height=1 class=line1></td></tr>
<tr><td align=center style='padding:0px 0px 0px 0px;' width=100%>
<table cellpadding=0 cellspacing=0 border=0 width=100%><tr height=47>

<td nowrap width=117></td>

<td align=right style='padding:2px 0px 1px 0px;' align=right width=50% class=tahoma>
<?=$hide_prev_start?><?=$a_prev?><img src=<?=$dir?>/images/p.png border=0 align=absmiddle></a><?=$hide_prev_end?>
</td>

<td nowrap width=15></td>

<td style='padding:2px 0px 1px 0px;' width=50% class=tahoma>
<?=$hide_next_start?><?=$a_next?><img src=<?=$dir?>/images/n.png border=0 align=absmiddle></a><?=$hide_next_end?>
</td>

<td nowrap width=117 align=right style='padding:2px 0px 1px 0px;' class=tahoma>
<?=$a_modify?><img src=<?=$dir?>/images/m.png border=0 align=absmiddle></a>&nbsp;&nbsp;&nbsp;&nbsp;<?=$a_delete?><img src=<?=$dir?>/images/d.png border=0 align=absmiddle></a>&nbsp;&nbsp;&nbsp;&nbsp;<?=$a_list?><img src=<?=$dir?>/images/list.png border=0 align=absmiddle></a>
</td>

</tr></table></td></tr>

<tr><td height=1 class=line></td></tr>





</form></table></td></tr>
<tr><td height=1></td></tr>
</table><?=$hide_comment_start?><TABLE cellSpacing=0 cellPadding=0 border=0 width=<?=$width?>><?=$hide_comment_end?>